Skip to content

Pull and convert an OCI image

POST/images

Experimental. Pulls a registry image and converts it to a bootable rootfs. Returns 501 when image support is not enabled (set --image-dir).

Request bodyapplication/json
PullImageRequest
refstring
Responses
201 CreatedCreated
ImageResponse
cmdarray
items
string
content_bytesintegerint64
convert_modestring
converted_at_unix_msintegerint64
digeststring
entriesinteger
entrypointarray
items
string
exposed_portsarray
items
string
size_bytesintegerint64
source_refstring
400 Bad requestBad Request
ErrorResponse
errorstring
501 Not Implemented
ErrorResponse
errorstring
502 Bad gatewayBad Gateway
ErrorResponse
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
POST/images
cURL
curl '/images' \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
201 Created
{
  "cmd": [
    "string"
  ],
  "content_bytes": 0,
  "convert_mode": "string",
  "converted_at_unix_ms": 0,
  "digest": "string",
  "entries": 0,
  "entrypoint": [
    "string"
  ],
  "exposed_ports": [
    "string"
  ],
  "size_bytes": 0,
  "source_ref": "string"
}
Was this page helpful?